summaryrefslogtreecommitdiff
path: root/sys-auth
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2021-06-03 17:17:15 +0100
committerV3n3RiX <venerix@redcorelinux.org>2021-06-03 17:17:15 +0100
commitef4b930bd93d8badc6115d167318af2211c3b90f (patch)
treebde3cec71ff6db9a662a937f67bb3109536e2a96 /sys-auth
parentb37385361286b4381ed6649ba8679588a3ce5bc1 (diff)
sys-auth/elogind : version bump
Diffstat (limited to 'sys-auth')
-rw-r--r--sys-auth/elogind/Manifest2
-rw-r--r--sys-auth/elogind/elogind-246.10-r10.ebuild (renamed from sys-auth/elogind/elogind-243.7-r10.ebuild)44
-rw-r--r--sys-auth/elogind/files/elogind-246.10-revert-polkit-automagic.patch38
-rw-r--r--sys-auth/elogind/files/elogind.init-r1 (renamed from sys-auth/elogind/files/elogind.init)2
4 files changed, 81 insertions, 5 deletions
diff --git a/sys-auth/elogind/Manifest b/sys-auth/elogind/Manifest
index 8bb9d4b5..871cbc88 100644
--- a/sys-auth/elogind/Manifest
+++ b/sys-auth/elogind/Manifest
@@ -1 +1 @@
-DIST elogind-243.7.tar.gz 1338186 BLAKE2B f3efc2af50f56c2cda18d721c18f4d88ca608fb35b2c7e2ebb35c3f3f743124dcf17efcc9db47810a13093397b1c1bc82cb42e017b3db493af5d2bb70bcf0eff SHA512 fd17c5016d083d63805f9ed0326ee32597870f6c48c9c246712cb09a77db775036b0fd0f4258b6557e189a1eceb4b50f4ae2e9e7881f4d9759b87a0b49ce3472
+DIST elogind-246.10.tar.gz 1559256 BLAKE2B 17a8146ee08c8ccf167f25d89b1d4525050ed0b0baaad0d36924ad3c40ffc820ef1528b33557cf285ad06c9ac9c440137428c5a235a2acf563e56f2f8f07e208 SHA512 9db0f068ed94ec07bab4d764ccb38840af3d05a4b7c9c539721906f5381b509cb9a3cbfb0453a978210d306136368de6162578c600d522416ef2a7ac1b9f348b
diff --git a/sys-auth/elogind/elogind-243.7-r10.ebuild b/sys-auth/elogind/elogind-246.10-r10.ebuild
index 734849b7..2ebfefdd 100644
--- a/sys-auth/elogind/elogind-243.7-r10.ebuild
+++ b/sys-auth/elogind/elogind-246.10-r10.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -9,7 +9,7 @@ if [[ ${PV} = *9999* ]]; then
inherit git-r3
else
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+ KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86"
fi
inherit linux-info meson pam udev xdg-utils
@@ -49,8 +49,9 @@ PDEPEND="
DOCS=( README.md src/libelogind/sd-bus/GVARIANT-SERIALIZATION )
PATCHES=(
- "${FILESDIR}/${P}-nodocs.patch"
+ "${FILESDIR}/${PN}-243.7-nodocs.patch"
"${FILESDIR}/${PN}-241.4-broken-test.patch" # bug 699116
+ "${FILESDIR}/${P}-revert-polkit-automagic.patch"
)
pkg_setup() {
@@ -106,10 +107,45 @@ src_install() {
meson_src_install
- newinitd "${FILESDIR}"/${PN}.init ${PN}
+ newinitd "${FILESDIR}"/${PN}.init-r1 ${PN}
sed -e "s/@libdir@/$(get_libdir)/" "${FILESDIR}"/${PN}.conf.in > ${PN}.conf || die
newconfd ${PN}.conf ${PN}
rm -rf ${ED}/lib/udev/rules.d/73-seat-late.rules
}
+
+pkg_postinst() {
+ if ! use pam; then
+ ewarn "${PN} will not be managing user logins/seats without USE=\"pam\"!"
+ ewarn "In other words, it will be useless for most applications."
+ ewarn
+ fi
+ if ! use policykit; then
+ ewarn "loginctl will not be able to perform privileged operations without"
+ ewarn "USE=\"policykit\"! That means e.g. no suspend or hibernate."
+ ewarn
+ fi
+ if [[ "$(rc-config list boot | grep elogind)" != "" ]]; then
+ elog "elogind is currently started from boot runlevel."
+ elif [[ "$(rc-config list default | grep elogind)" != "" ]]; then
+ ewarn "elogind is currently started from default runlevel."
+ ewarn "Please remove elogind from the default runlevel and"
+ ewarn "add it to the boot runlevel by:"
+ ewarn "# rc-update del elogind default"
+ ewarn "# rc-update add elogind boot"
+ else
+ elog "elogind is currently not started from any runlevel."
+ elog "You may add it to the boot runlevel by:"
+ elog "# rc-update add elogind boot"
+ elog
+ elog "Alternatively, you can leave elogind out of any"
+ elog "runlevel. It will then be started automatically"
+ if use pam; then
+ elog "when the first service calls it via dbus, or"
+ elog "the first user logs into the system."
+ else
+ elog "when the first service calls it via dbus."
+ fi
+ fi
+}
diff --git a/sys-auth/elogind/files/elogind-246.10-revert-polkit-automagic.patch b/sys-auth/elogind/files/elogind-246.10-revert-polkit-automagic.patch
new file mode 100644
index 00000000..5237b7ab
--- /dev/null
+++ b/sys-auth/elogind/files/elogind-246.10-revert-polkit-automagic.patch
@@ -0,0 +1,38 @@
+From 715ce0a6459e418f92e74c7ce52df3244c18f383 Mon Sep 17 00:00:00 2001
+From: Sven Eden <sven.eden@prydeworx.com>
+Date: Mon, 8 Mar 2021 08:40:08 +0100
+Subject: [PATCH] Revert "Disable polkit support if libpolkit is not installed"
+
+This reverts commit 1194dec4f8f2d1b8bd14e1625f34418ecfce817e.
+
+Removing polkit support with -Dpolkit=auto when libpolkit is not
+installed, removes the whole interface. This makes it impossible to
+add polkit support as a runtime dependency.
+
+Bug: #167
+Closes: #206
+Signed-off-by: Sven Eden <sven.eden@prydeworx.com>
+---
+ meson.build | 9 ---------
+ 1 file changed, 9 deletions(-)
+
+diff --git a/meson.build b/meson.build
+index 2dd05db3c..f38551f55 100644
+--- a/meson.build
++++ b/meson.build
+@@ -1157,15 +1157,6 @@ if want_polkit != 'false' and not skip_deps
+ message('Old polkit detected, will install pkla files')
+ install_polkit_pkla = true
+ endif
+-#if 1 /// Disable polkit completely if libpolkit is not there. See elogind issue #167
+- if not libpolkit.found()
+- if want_polkit != 'auto'
+- error('Polkit requested but libpolkit was not found.')
+- endif
+- install_polkit = false
+- want_polkit = false
+- endif
+-#endif // 1
+ endif
+ conf.set10('ENABLE_POLKIT', install_polkit)
+
diff --git a/sys-auth/elogind/files/elogind.init b/sys-auth/elogind/files/elogind.init-r1
index 019c3afb..1cb5071c 100644
--- a/sys-auth/elogind/files/elogind.init
+++ b/sys-auth/elogind/files/elogind.init-r1
@@ -7,6 +7,8 @@ depend() {
# Make sure elogind is up before xdm starts any dm
before xdm
+
+ use logger
}
start() {